/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import {deleteEntry, renameEntry} from './RepositoryBrowserDropdownActions';

const ACTIONS = {
	delete({deleteURL}) {
		deleteEntry(deleteURL);
	},

	rename({renameURL, value}) {
		renameEntry(renameURL, value);
	},
};

export default function propsTransformer({items, portletNamespace, ...props}) {
	return {
		...props,
		items: items.map((item) => ({
			...item,
			onClick(event) {
				const action = item.data?.action;

				if (action) {
					event.preventDefault();

					ACTIONS[action](item.data, portletNamespace);
				}
			},
		})),
	};
}
