/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.document.library.taglib.internal.display.context;

import com.liferay.document.library.display.context.DLDisplayContextProvider;
import com.liferay.document.library.display.context.DLViewFileVersionDisplayContext;
import com.liferay.portal.kernel.repository.model.FileVersion;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.osgi.framework.BundleContext;
import org.osgi.service.component.annotations.Activate;
import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Deactivate;
import org.osgi.service.component.annotations.Reference;

/**
 * @author Alejandro Tardín
 */
@Component(service = {})
public class DLViewFileVersionDisplayContextUtil {

	public static DLViewFileVersionDisplayContext
		getDLViewFileVersionDisplayContext(
			HttpServletRequest httpServletRequest,
			HttpServletResponse httpServletResponse, FileVersion fileVersion) {

		return _dlViewFileVersionDisplayContextUtil._dlDisplayContextProvider.
			getDLViewFileVersionDisplayContext(
				httpServletRequest, httpServletResponse, fileVersion);
	}

	@Activate
	protected void activate(BundleContext bundleContext) {
		_dlViewFileVersionDisplayContextUtil = this;
	}

	@Deactivate
	protected void deactivate() {
		_dlViewFileVersionDisplayContextUtil = null;
	}

	private static DLViewFileVersionDisplayContextUtil
		_dlViewFileVersionDisplayContextUtil;

	@Reference
	private DLDisplayContextProvider _dlDisplayContextProvider;

}